
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>AIX的vmstat命令详解(原创) / iVAN</title>

    <meta name="description" content="AIX的vmstat命令详解(原创) vmstat概述  vmstat 命令报告关于内核线程.虚拟内存.磁盘.陷阱和 CPU 活动的统计信息.由 vmstat 命令生成的报告可以用于平衡系统负载活动.系统范围内的这些统计信息(所有的处理器中)都计算出以百分比表示的平均值,或者计算其总和. Interval 参数指定每个报告之间的时间量(以秒计).第一个报告包含系统启动后时间的统计信息.后续报告包含自从前一个报告起的时间间隔过程中所收集的统计信息.如果没有指定 Interval 参数,vmstat 命令生成单个报告然后退出.Count">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">AIX的vmstat命令详解(原创)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>vmstat概述</strong> </p>
<p>vmstat 命令报告关于内核线程、虚拟内存、磁盘、陷阱和 CPU 活动的统计信息。由 vmstat 命令生成的报告可以用于平衡系统负载活动。系统范围内的这些统计信息（所有的处理器中）都计算出以百分比表示的平均值，或者计算其总和。</p>
<p>Interval 参数指定每个报告之间的时间量（以秒计）。第一个报告包含系统启动后时间的统计信息。后续报告包含自从前一个报告起的时间间隔过程中所收集的统计信息。如果没有指定 Interval 参数，vmstat 命令生成单个报告然后退出。Count参数只能和 Interval 参数一起指定。如果指定了 Count 参数，其值决定生成的报告数目和相互间隔的秒数。如果 Interval参数被指定而没有 Count 参数，则连续生成报告。Count 参数不允许为 0。</p>
<p>内核为内核线程、调页和中断活动维护统计信息，vmstat 命令通过使用perfstat 内核扩展来对其进行访问。磁盘输入／输出统计信息由设备驱动程序维护。对于磁盘，利用活动时间和传送信息数量来确定平均传送速率。活动时间的百分数根据报告期间驱动器忙的时间量来计算。</p>
<p><strong>vmstat命令输出详解 </strong></p>
<p>输出样例</p>
<p>#vmstat 1 2</p>
<p>System    configuration:      lcpu=8      mem=15360MB</p>
<p>kthr           memory                   page              faults                     cpu<br />
-----    ----------------------------      ----------------------  ------------       ----------------------------------------<br />
 r  b      avm           fre           re  pi  po  fr       sr  cy  in         sy     cs     us   sy   id  wa<br />
 1 0    1614482   971363     0   0   0   0       0   0  56      4997  2739  1   1   97  0<br />
 0 0    1614484   971361     0   0   0   0       0   0  23      4435  2677  1   1   97  0</p>
<p>Kthr</p>
<p>kernel thread state(内核线程状态,表示每秒钟在采样间隔时间上对各种队列的内核线程数求得的平均值)<br />
r: 取样期间可运行的内核线程的平均数，包括正在运行的线程和指准备运行但尚在等待运行的进程。</p>
<p>1.)如果在processes中运行的序列(process r)是连续的大于在系统中的CPU的个数表示系统现在运行比较慢,有多数的进程等待CPU。 <br />
2.)如果r的输出数大于系统中可用CPU个数的4倍的话,则系统面临着CPU短缺的问题,或者是CPU的速率过低,系统中有多数的进程在等待CPU,造成系统中进程运行过慢。 <br />
3.)如果空闲时间(cpu id)持续为0并且系统时间(cpu sy)是用户时间的两倍(cpu us)系统则面临着CPU资源的短缺。</p>
<p>解决方法</p>
<p>当发生以上问题的时候请先调整应用程序对CPU的占用情况.使得应用程序能够更有效的使用CPU.同时可以考虑增加更多的CPU.  一般情况下，应用程序的问题会比较大一些.比如一些sql语句不合理等等都会造成这样的现象. <br />b：表示每秒VMM等待队列中的内核线程平均数(等待资源或I/O)，这里参考值为2，大于2表示被阻塞列线程数目太多。 </p>
<p>Memory</p>
<p>Memory包括了虚拟内存和实际内存的信息<br />
avm: 活动的虚拟页面(Active virtual pages，以4k为单位),该值较高并不意味着性能不好。记住，虚拟内存的概念是提供给我们寻址大于实内存容量的能力（一些在RAM 内存中，而另一些在调页空间中）。但是如果虚拟内存远大于实内存，可能造成过度的页面调度，从而导致延时。如果 avm小于 RAM，那么当 RAM 中填满文件页时就会引起调页空间的页面调度。这种情况下，调整 minperm、maxperm 和 maxclient 的值可以减少调页空间的页面调度量。<br />
fre: 自由表(free list)的大小。真实内存的大部分被用作文件系统数据的缓存。因此，自由表（free list）的大小保持比较小并不稀奇。</p>
<p>Page</p>
<p>页面错误和分页活动的信息。此值为指定时间周期内每秒给定单位的平均值。<br />
re  页面调度程序(Pager)输入输出列表(input/output)列表。<br />
pi  表示每秒钟从Paging Space置换到内存的页数,调页空间是驻留在磁盘上的虚拟内存的一部分。当内存过量使用时，它用作溢出。调页空间由用于存储从实内存中窃取到的工作组页面的逻辑卷组成。当进程访问一个窃取页时，产生了一个缺页故障，这一页必须从调页空间读入内存。这里pi的参考值为5,大于5说明内存不足。<br />
po  表示每秒钟从内存置换到Paging Space的页数,无论什么时候窃取工作存储器的一页，如果它仍未驻留在调页空间中或已被修改，那它会被写入调页空间。如果不被再次访问，它会留在页面调度设备中直到进程终止或放弃空间。如果包含在出故障页面中的后续地址引用导致缺页故障，那么这些页面将会由系统个别调进。当一个进程正常终止，任何分配给该进程的调页空间将被释放。如果这两列持续大于5，则系统的性能瓶颈很可能是内存不足，而导致交换频繁。<br />
fr  表示每秒钟页面置换<a href="http://lib.csdn.net/base/31" rel="external nofollow noreferrer">算法</a>释放的页数。当 VMM 页面替换例程扫描页面帧表（Page Frame Table，PFT）时，它使用一些条件选取要窃取的页面以插入到可用内存帧的空闲列表中。<br />
sr  表示每秒钟页面置换算法检查的页数,页面替换算法在可以窃取足够的页面以满足页面替换线程的需要之前可能不得不扫描许多页面帧。<br />
cy  页面置换算法所使用的时钟周期。即表示每秒页面替换代码扫描了 PFT 多少次。因为插入空闲列表可以不需要完全扫描 PFT，并且因为所有的 vmstat 字段报告为整数，这一字段通常为 0。 <br />
Faults 故障列：样例时间周期中，每秒陷阱（Trap ）和中断率的平均值。<br />
in  设备中断次数 ,iostat命令输出更有参考意义。<br />
sy  系统调用次数 ,通过明确的系统调用，用户进程可以使用资源。这些调用指示内核执行调用线程的操作，并在内核和该进程之间交换数据。因为工作负载和应用程序变化很大，不同的调用执行不同的功能，所以不可能定义每秒钟有多少系统调用才算太多。这里设置参考值为10000，超过10000，用户需要注意。<br />
cs  内核线程上下文交换 Kernel thread context switches。即时间片用完后，再轮到时的上下文计算，如果太高，则要仔细观察<br />CPU</p>
<p>CPU 使用时间百分比细目分类<br />
us  用户进程CPU占用,一个 UNIX 进程可以在用户方式下执行，也可以在系统（内核）方式下执行。当在用户方式下时，进程在它自己的应用程序代码中执行，不需要内核资源来进行计算、管理内存或设置变量。<br />
sy  系统进程CPU占用 ,这包括内核进程（kprocs）和其它需要访问内核资源的进程所消耗的 CPU 资源。如果一个进程需要内核资源，它必须执行一个系统调用，并由此切换到系统方式从而使该资源可用。例如，对一个文件的读或写操作需要内核资源来打开文件、寻找特定的位置，以及读或写数据，除非使用内存映射文件。这里us + sy的参考值为80%，如果us+sy 大于 80%说明可能存在CPU不足。<br />
id  系统空闲 CPU idle time<br />
wa  表示IO等待时间，即系统等待未完成的 disk/NFS I/O 请求期间的CPU 空闲时间,<br />
如果us与sy之和持续超过90%时，CPU出现了瓶颈。<br />
如果wa长期很高&gt;50，则表示IO太忙，具体看是应用IO多，还是交换分页多，如果是后者，则显示内存不足；如果是前者，则应关注应用的IO性能状况，优化应用与磁盘设备<br />
pc  消耗物理处理器的数目。只在使用共享处理器运行的分区显示（只在微分区环境中显示）<br />
ec  消耗授权容量的百分比。只在使用共享处理器运行的分区显示（只在微分区环境中显示）</p>
<p>Active Memory Sharing 增加的新字段</p>
<p>mmode<br />
如果分区以共享内存模式运行，就显示 shared。到编写本文时，对于专用内存分区，不显示这个字段。<br />
mpsz<br />
显示共享内存池的大小。<br />
hpi<br />
显示分区的系统管理程序页面换入数量。如果系统管理程序已经把引用的页面换出到磁盘，所以它们在真实内存中不存在，就会发生系统管理程序页面换入。如果在执行 vmstat 命令时没有指定时间间隔，那么显示的值是从引导时开始计算的。<br />
hpit<br />
显示分区的系统管理程序分页花费的时间（以毫秒为单位）。如果在执行 vmstat 命令时没有指定时间间隔，那么显示的值是从引导时开始计算的。<br />
pmem<br />
显示支持逻辑内存的物理内存量（以 GB 为单位）。<br />
loan<br />
显示借给系统管理程序的逻辑内存量（以 GB 为单位）。可以通过 vmo 可调项 ams_loan_policy 调整借出的内存量。</p>
<p><strong>vmstat参数列表</strong> </p>
<table>
<tbody>
<tr>
<td>-f</td>
<td>报告从系统启动后的派生数目。</td>
</tr>
<tr>
<td>-h</td>
<td>显示系统管理程序分页信息</td>
</tr>
<tr>
<td>
-i
</td>
<td>显示从系统启动后每个设备造成的中断数目。</td>
</tr>
<tr>
<td>
-I
</td>
<td>用新的输出栏显示 I/O 定向视图，p 在标题 kthr 下；栏 fi 和 fo 在标题页面下，而不是栏下；re 和 cy 在页标题中。</td>
</tr>
<tr>
<td>
-s
</td>
<td>
将总数结构中的内容写入到标准输出，该结构包含从系统初始化后调页事件的绝对计数。如下描述了这些事件：地址翻译错误每次发生地址转换页面故障时增加。解决页面故障可能需要 I/O，也可能不需要。存储保护页面故障（失去锁定）不包含在此计数之内。入页随虚拟内存管理器读入的每页增加。计数随调页空间和文件空间的入页增加。它和出页统计信息一起表示实际 I/O（由虚拟内存管理器启动）的总量。出页随虚拟内存管理器写出的每页增加。计数随调页空间和文件空间的出页而增加。它和入页统计信息一起表示实际 I/O（由虚拟内存管理器启动）的总量。调页空间入页只随 VMM 启动的来自调页空间的入页而增加。调页空间出页只随 VMM 启动的来自调页空间的出页而增加。总回收当不启用一个新的 I/O 请求也可以满足地址翻译错误时增加。如果页面以前已经被 VMM 请求过的，但是 I/O 还没有完成；或者页面被预读算法提前提取，但是被故障段隐藏了；或者如果页面已经被放入空闲列表中，但还没有重新使用，则会发生此情况。零填充页面故障如果页面故障针对的是工作存储器，且可以通过指定一个帧并以零填充帧来满足它的话，则该值增加。可执行填充页面故障随着每个指令页面故障而增加。用时钟检查页面VMM 利用时钟算法实施伪最近最少使用（1ru）的页面替换模式。时钟检查过的页面是 aged 。为每个时钟检查过的页面增加此计数值。时钟指针的转动随着每次 VMM 时钟旋转而增加（即在每一次完整的内存扫描后）。用时钟释放的页面随着时钟算法从实内存中选择释放的每一个页面而增加。
</td>
</tr>
<tr>
<td> </td>
<td>
回溯随着解决前一个页面故障时出现的每一个页面故障而增加。（必须首先解决新的页面故障，然后可以回溯到最初的页面故障。）锁定丢失VMM 通过除去对页面的寻址能力来强制并发性锁定。锁定丢失可能产生一个页面故障，每当此类情况发生时，此计数增加。空闲帧等待在收集可用帧时，每次 VMM 等待一个进程时增加。扩展 XPT 等待每次正在进行提交而使得 VMM 等待一个进程时，随着正在被访问的段而增加。暂挂 I/O 等待每次 VMM 等待一个进程时随着要完成的入页 I/O 而增加。启动 I/O随着每个被 VMM 启动的读取或写入 I/O 请求而增加。此计数应该与入页和出页的总数相等。iodones在每次完成 VMM I/O 请求时增加。CPU 上下文交换随着每次 CPU 上下文交换而增加（新进程的分派）。设备中断每次硬件中断时增加。软件中断每次软件中断时增加。一次软件中断是一个类似于硬件中断（保存一些状态和服务器例程分支）的机器指令。系统调用用软件中断指令来完成，该指令转换控制到系统调用处理程序例程。陷阱不通过操作系统来维护。syscalls随着每次系统调用而增加。
</td>
</tr>
<tr>
<td>
-t
</td>
<td>
打印 vmstat 的每一输出行旁边的时间戳记。时间戳记按照 HH：MM：SS 格式显示。<br />
<br />注:</p>
<p>如果指定了 -f 、-s 或 -i 标志，将不打印时间戳记。
</td>
</tr>
<tr>
<td>
-v
</td>
<td>
将虚拟内存管理器维护的不同统计信息写入标准输出。内存页实内存的大小（以 4 KB 的页面数目计）。lruable 页要用于替换的 4 KB 页面的数目。此数目不包含被用于 VMM 内部页和用于内核文本的固定部分的页面。空闲页面空闲 4 KB 页面的数目。内存池指定内存池数目的调整参数（使用 vmo 管理）。固定页面固定的 4 KB 页面的数目。maxpin 百分比指定能被固定的实内存百分数的调整参数（使用 vmo 管理）。minperm 百分比实内存百分比的调整参数（使用 vmo 管理）。它指定一临界点，低于此临界点时阻止页面重新调度算法使用文件页面。maxperm 百分比实内存百分比的调整参数（使用 vmo 管理）。它指定一临界点，高于此临界点时页面取走算法只取走文件页面。numperm 百分比当前由文件高速缓存使用的内存百分数。文件页面当前由文件高速缓存使用的 4 KB 页面的数目。压缩百分比由压缩页面使用的内存百分数。压缩页面压缩内存页面的数目。numclient 百分数被客户机页面占用的内存百分数。maxclient 百分数指定能用于客户机页面的最大内存百分数的调整参数（使用 vmo 管理）。客户机页面客户机页面的数目。已调度的远程出页调度用于客户机文件系统的出页的数目。无 pbuf 而阻塞的暂挂磁盘 I/O没有可用 pbuf 而阻塞的暂挂磁盘 I/O 请求的数目。Pbuf 是用于保存逻辑卷管理器层上的 I/O 请求的固定的内存缓冲区。无 psbuf 而阻塞的调页空间 I/O没有可用 psbuf 而阻塞的调页空间 I/O 请求的数目。Psbuf 是用于保存虚拟内存管理器层上的 I/O 请求的固定内存缓冲区。
</td>
</tr>
<tr>
<td>-v</td>
<td>
（由 -v 显示的统计信息，接上页） ：无 fsbuf 而阻塞的文件系统 I/O没有可用 fsbuf 而阻塞的文件系统 I/O 请求的数目。Fsbuf 是用于保存文件系统层上的 I/O 请求的固定内存缓冲区。无 fsbuf 而阻塞的客户机文件系统 I/O没有可用 fsbuf 而阻塞的客户机文件系统 I/O 请求的数目。NFS（网络文件系统）和 VxFS（Veritas）是客户机文件系统。Fsbuf 是用于保存文件系统层上的 I/O 请求的固定内存缓冲区。无 fsbuf 而阻塞的外部页面调度程序文件系统 I/O没有可用 fsbuf 而被阻塞的外部页面调度程序客户机文件系统 I/O 请求的数目。JFS2 是一个外部页面调度程序客户机文件系统。Fsbuf 是用于保存文件系统层上的 I/O 请求的固定内存缓冲区。
</td>
</tr>
</tbody>
</table>
<p><strong>使用示例 </strong></p>
<p>1、要显示 2 秒时间间隔的 5 个摘要，请输入：<br /> vmstat 2 5 <br />
2、要显示引导后包括逻辑磁盘 scdisk13 和 scdisk14 的统计信息摘要：<br />vmstat scdisk13 scdisk14 <br />
3、要显示派生统计信息：<br /> vmstat  -f <br />
4、要显示各事件的计数：</p>
<p>vmstat -s <br />
5、要显示 vmstat的每一输出栏旁边的时间戳记：<br />vmstat -t</p>
<p>6、 要以另一套输出栏显示新的 I/O 定向视图：<br />vmstat -I <br />
7、要显示所有可用的 VMM 统计信息，请输入：<br />vmstat -vs </p>
<p>参考至:http://yinfeifei.iteye.com/blog/799687</p>
<p>           http://www.kuqin.com/aixcmds/aixcmds6/vmstat.htm#a341f927</p>
<p>           http://williamwu.blog.51cto.com/660480/130015</p>
<p>           http://www.ibm.com/developerworks/cn/aix/redbooks/powervm-activememory/5/index.html</p>
<p>本文原创，转载请注明出处、作者</p>
<p>如有错误，欢迎指正</p>
<p>邮箱:czmcj@163.com</p>
<p>作者：czmmiao 原文地址：http://czmmiao.iteye.com/blog/1156878</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 15:42:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/vmstatcpu/" title="vmstatcpu">vmstatcpu</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>AIX的vmstat命令详解(原创)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7wPmp.html" rel="bookmark">AIX的SVMON命令详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				svmon概述  svmon 命令用于显示当前内存状态的信息,可通过 # lslpp bos.perf.tools 查看是否有安装.因为 svmon 命令在启用中断的用户级别运行,所以显示的信息不组成真正的内存快照. 在非常繁忙的系统中,svmon收集的数据和真实的数据有所差距,在svmon进程搜集的过程中,VMM(虚存管理器)可能已经发生改动了. 因为svmon使用的全是VMM中的数据,而VMM对内存的视图是基于内存段的,所以,理解svmon的输出,必须先理解段的概念. 段  段(segmen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmG0K7b.html" rel="bookmark">AIX的sar命令详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sar概述 sar 命令将 操作系统中选定的累计活动计数器的内容写到标准输出.基于 Number 和 Interval 参数的值,记帐系统以指定的时间间隔(以秒为单位)和指定间隔次数写入信息.Number 参数的缺省采样时间间隔为 1 秒.收集的数据也可以保存在由 -o File 标志所指定的文件中.   计算等待磁盘 I/O 所花费 CPU 时间(wio 时间)百分比的方法的改进. 在 AIX 4.3.2 及早期操作系统版本中采用的方法在某些情况下会在 SMP 上显示出夸大的 wio 时间.w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40yQjz.html" rel="bookmark">AIX的topas命令详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				topas概述  topas 命令报告选定的本地系统活动的统计信息.该命令使用 curses 库以合适的格式来显示其输出,该格式适合于在一个 80x25 基于字符的显示器上或至少同样大小的图形显示器的窗口中进行查看.topas 命令需要在系统中安装 perfagent.tools 文件集. 如果 topas 命令调用时没有标志,则运行时正如用以下命令行来调用:topas -d20 -i2 -n20 -p20 -w20 -c20  程序按由 monitoring_interval_in_secon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyP5xEb.html" rel="bookmark">【OS】AIX之topas命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[OS]AIX之topas命令详解 AIX基本命令topas简介 Posted on 2015 年 11 月 11 日 by xiaoyu 由于最近工作需要涉及到AIX主机.存储层面,就对这方面的内容做个简要的笔记,以供后续参考. topas命令利用System Performance Measurement Interface(SPMI) API获得有关信息,使系统开销保持最小程度,topas命令用于监控各种系统资源,比如cpu使用情况.内存和换页空间.磁盘性能.网络性能以及NFS统计信息等			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvryEVM.html" rel="bookmark">VirtualBox下配置串口以及stty命令详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虚拟机于主机通过串口通信  我们需要先配置一下宿主机器上的virtualbox. 1. 在串口栏中勾选 []启用串口(E) 2. 端口编号选择COM1 3. 端口模式选择Host Pipe 4. 勾选 []创建通道(C) 5. Port/File Path: 填上 /tmp/serial. 也就是说我们在宿主机器的/tmp/中创建了serial的通道文件 此外,我们还要在宿主机器上设定一下串口.在此之前需要安装minicom软件 1. 运行minicom -s命令 2. CTRL+A调出配置界面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWewxp.html" rel="bookmark">dd命令详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dd指令使用  语法格式 dd   [option]  dd指令选项详解 if=file:输入文件名,缺省为标准输入 of=file:输出文件名,缺省为标准输出 ibs=bytes:一次读入 bytes 个字节(即一个块大小为 bytes 个字节) obs=bytes:一次写 bytes 个字节(即一个块大小为 bytes 个字节) bs=bytes:同时设置读写块的大小为 bytes ,可代替 ibs 和 obs cbs=bytes:一次转换 bytes 个字节,即转换缓冲区大小 skip=b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WnXjb.html" rel="bookmark">linux vmstat命令详解和使用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  他是对系统的整体情况进行统计,不足之处是无法对某个进程进行深入分析.vmstat 工具提供了一种低开销的系统性能观察方式.因为 vmstat 本身就是低开销工具,在非常高负荷的服务器上,你需要查看并监控系统的健康情况,在控制窗口还是能够使用vmstat 输出结果.在学习vmstat命令前,我们先了解一下Linux系统中关于物理内存和虚拟内存相关信息. 物理内存和虚拟内存区别: 我们知道,直接从物理内存读写数据要比从硬盘读写数据要快的多,因此,我们希望所有数据的读取和写入都在内存完成,而内存是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN4eWM.html" rel="bookmark">Linux vmstat命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat命令是最常见的Linux/Unix监控工具,可以展现给定时间间隔的服务器的状态值,包括服务器的CPU使用率,内存使用,虚拟内存交换情况,IO读写情况.这个命令是我查看Linux/Unix最喜爱的命令,一个是Linux/Unix都支持,二是相比top,我可以看到整个机器的CPU,内存,IO的使用情况,而不是单单看到各个进程的CPU使用率和内存使用率(使用场景不一样). vmstat命令:  用来获得有关进程.虚存.页面交换空间及 CPU活动的信息.这些信息反映了系统的负载情况 vmst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6wgwb.html" rel="bookmark">AIX的&sol;etc&sol;filesystems详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				etc/filesystems概述 文件系统是一个完整的目录结构,包括根目录和他底下任何文件的目录,并且文件系统被限定在单一的逻辑卷上.在AIX上所有的文件系统信息/etc/filesystems 集中化的管理文件系统属性而存在,他的作用和Linux上的/etc/fstab文件类似. /etc/filesystems的常见属性 属性 描述 account 使用dodisk命令统计文件系统的详细信息,属性值为true或false.具体参加dodisk命令的用法 check 使用fsck命令来确认文			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN1w4b.html" rel="bookmark" class="title">常见的ASP&period;NET错误提示及解决方法</a>
					<div>
						Runtime Error 运行时错误 Description: An application error occurred on the server. The current custom err ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ax3ap.html" rel="bookmark" class="title">Python栈类实例分析</a>
					<div>
						 本文实例讲述了python栈类.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 class Path: #a list used lik ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaDe2M.html" rel="bookmark" class="title">Photoshop钢笔绘制可爱的花朵</a>
					<div>
						Photoshop钢笔绘制可爱的花朵,教程主要练习钢笔工具的使用. 先看下最终效果: 新建立一个文档,设置背景色为黑色,然后建立一个图层,使用钢笔工具绘制如下曲线. 〈Ctrl+Enter制作选区然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPJ4Gz.html" rel="bookmark" class="title">Photoshop打造颓废的暗调橙红色街景人物照片</a>
					<div>
						图片选景及构图都非常不错,有种颓废的感觉.不过颜色部分还不够颓废.处理的时候可以稍微压暗图片,并增加高光部分的暖橙色和暗部的暗蓝色.这样对比更强烈,颓废感也更强. 原图 &lt;点小图查看大图&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8jd3b.html" rel="bookmark" class="title">Windows XP系统下设置PPTP&sol;L2TP连接的正确步骤</a>
					<div>
						  虽然说,微软已经宣布:Windows XP系统退出历史舞台,但是,仍然有许多用户的电脑中安装着Windows XP系统.一些Windows XP系统用户发现想设置PPTP/L2TP连接的时候,按照 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7vX9M.html" rel="bookmark" class="title">java-JAVA中类的实例变量和静态变量的赋值</a>
					<div>
						问题描述 JAVA中类的实例变量和静态变量的赋值 学完了面向对象,回头看项目的时候在这个地方有些不太透,对于类的实例变量和静态变量如何赋值和访问及修改(所描述的赋值访问及修改可能用词不准确,恳请指正) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NY3yM.html" rel="bookmark" class="title">c&plus;&plus;和数据库连接问题求指导</a>
					<div>
						问题描述 c++和数据库连接问题求指导 代码以写好,OBDC服务器程序也配置好了,现在要做C++和数据库连接该怎么进行接下来的,代码要加东西吗?求大神指导. 解决方案 http://blog.csdn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA33eM.html" rel="bookmark" class="title">基于kettle的数据ETL系统开发与设计</a>
					<div>
						问题描述 基于kettle的数据ETL系统开发与设计 关于kettle的二次开发:功能包括,基于正则表达式的数据检查,实现数据转换,并且能自动入库.因为使用这个软件的特别少,可以学习的资料特别少.希望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr4l6M.html" rel="bookmark" class="title">linux下常用网络操作汇总  专题</a>
					<div>
						centos 更改主机名,需要更改的几个地方: (1) /etc/sysconfig/network  //更改主机名(2)/etc/hostname  //更改主机名(3) /etc/hosts   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmy95z.html" rel="bookmark" class="title">stm32新手入门的一些疑惑</a>
					<div>
						问题描述 stm32新手入门的一些疑惑 我最近开始想学习stm32开发,还有一些疑惑希望大神们帮我解疑一下. 首先就是关于器材的配置.不知道应该买些什么相关的用具,尤其是板子的问题. 之前看淘宝上一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7aK0M.html" rel="bookmark" class="title">为什么网页在手机上显示的字体很小？</a>
					<div>
						问题描述 为什么网页在手机上显示的字体很小? 将网页的宽度设为1280后,虽然网页的内容刚好显示在手机上, 全是字体即非常小,这样什么原因,如何调整啊 而设置font的大家好像不起作用. 解决方案 目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKnxjz.html" rel="bookmark" class="title">关于营销的未来，你需要了解的 4 件事</a>
					<div>
						在近期举办的广告与商业活动 Google Marketing Next 上,行业领导者们探讨了塑造未来营销业的最新趋势. 现今,消费者的期望高于以往任何时期,这也意味着所有营销者都要提升自己的营销水平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rkkgz.html" rel="bookmark" class="title">JSP 小问题，求解！</a>
					<div>
						问题描述 &lt;%@ page contentType=&quot;text/html;charset=GB2312&quot;%&gt;&lt;%@ page import=&quot;java. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydEGlb.html" rel="bookmark" class="title">应用-Linux中shell脚本问题</a>
					<div>
						问题描述 Linux中shell脚本问题 ]我有shell脚本,放在/bin/目录下,内容如下: #!/bin/sh cd /usr /sbin/insmod s3c_ts.ko ./digitpic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRNq7b.html" rel="bookmark" class="title">php中header&lpar;&rpar;下载图片无法显示问题</a>
					<div>
						问题描述 php中header()下载图片无法显示问题 最近在学PHP,遇到点问题,有大神能看下吗?谢谢!截图在下面~ 解决方案 PHP图片验证码无法显示问题php上传图片到数据库与网页无法显示的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNNWGM.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;11&period;28 统一先验建模框架 II：整数规划</a>
					<div>
						11.28 统一先验建模框架 II:整数规划 在上一章中,利用约束谱聚类框架来求解视觉物体分割问题,其能很好地处理可以建模为一阶.二阶或高阶局部数据约束的先验信息.但有些先验知识,例如全局数据约束和模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgk5KM.html" rel="bookmark" class="title">Linux&sol;Unix shell 脚本跨服务器跨实例执行SQL</a>
					<div>
						      在DB运维的过程中,难免碰到需要跨多个服务器以及多个Oracle实例查询数据库的情形.比如我们需要查看当前所有生产环境数据库上open_cursor参数的值以便考虑是否需要增加.而需要查看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWZnEM.html" rel="bookmark" class="title">AOL计划通过收购雅虎挑战谷歌Facebook广告业务</a>
					<div>
						4月2日消息,据外媒报道,今年一月份AOL首席执行官蒂姆·阿姆斯特朗( Tim Armstrong )在拉斯维加斯参加科技行业最大的展会时,他在Aria和Cosmopolitan 酒店的私人套房里会见 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0LNOM.html" rel="bookmark" class="title">iPhone不越狱装3个微信遭腾讯封杀 登录会被强制下线</a>
					<div>
						iPhone不越狱装3个微信遭腾讯封杀 登录会提示帐号异常如何给手机同时安装多个微信?这对于未越狱的iPhone用户来说,确实是个难题:但网络上也一直流传着&lt;iPhone不越狱安装3个微信的方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgN5LM.html" rel="bookmark" class="title">浅谈OA易用性</a>
					<div>
						随着社会的进步,互联网的发展,用户体验被越来越重视,而易用性是用户体验中的重点之一.产品的功能再强大,如果用户觉的不好用,可能用一次就被抛弃,相反产品功能简单易用,能满足用户日常使用,用户会更愿意用. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1BgWb.html" rel="bookmark" class="title">javascript中使用正则表达式删除前后空格的方法&lowbar;正则表达式</a>
					<div>
						去掉首位空格 复制代码 代码如下: str=str.replace(/^\s+|\s+$/g,''); js正则表达式删除字符串前后空格 String.prototype.trim=function( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2V2yM.html" rel="bookmark" class="title">java获取HttpRequest Header的实例总结</a>
					<div>
						在开发应用程序的过程中,如果有多个应用,通常会通过一个portal 门户来集成,这个portal  是所有应用程序的入口,用户一旦在portal 登录之后,进入另外一个系统,就需要类似的单点登录(SS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N3KPz.html" rel="bookmark" class="title">网站被降权 我是如何做到日访问量2000</a>
					<div>
						,网站改版之前,本站是提前通知了各访问者,而且都是回头客,所以网站改版后大家都是有准备的,还有就是改版本站一直是公益网站,很少有网络广告,纯自然,简单的页面,回访客是相当多的.所以一个好的网站能够留住 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvwkPM.html" rel="bookmark" class="title">UTF8转成GB2312乱码问题解决方案&lowbar;XML示例</a>
					<div>
						最近做了一个小项目,遇到此类问题,记录一下,也算是一个总结. 此项目分为两部分,一个是新闻数据采集,一个是采集信息的审核,最后生成XML文件. 数据采集后的数据经过用户编辑完之后,要导出一个ACCES ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlmw1Lp.html" rel="bookmark" class="title">XMLDOM对象方法：对象属性&lowbar;XML基础</a>
					<div>
						async 属性   作   用   async 属性表示是否允许异步的下载.   基本语法   boolValue ＝ XMLDocument.async;XMLDocument.async ＝ b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByyBOz.html" rel="bookmark" class="title">虚拟现实技术重新走红</a>
					<div>
						Facebook近日宣布20亿美金收购沉浸式虚拟现实头盔Oculus一事曾像从身体的西部方位挠了一下地球人的小痒痒,虚拟现实技术让整个科技圈都开始坐立不安了.上月底百度百家主办了第二期The Big  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmLyyb.html" rel="bookmark" class="title">红帽架构策略横跨虚拟化云计算设备部署</a>
					<div>
						本文讲的是红帽架构策略横跨虚拟化云计算设备部署,全球开源解决方案的领导者Red Hat(NYSE:RHT),07年11月宣布了针对CIO们的关键问题解决战略,为迅速变化的业务需求提高了运营选择性,灵活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKAWJz.html" rel="bookmark" class="title">如何调用动态生成的控件的事件、方法等？</a>
					<div>
						问题描述 界面上有Button1和Button2控件,Button1_Click事件如下:PrivateSubButton1_Click(ByValsenderAsSystem.Object,ByVa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ywg0p.html" rel="bookmark" class="title">简单的json解析问题，请高手</a>
					<div>
						问题描述 简单的json解析问题,请高手 {&quot;ok&quot;:true,&quot;ds&quot;:[{&quot;ID&quot;:&quot;10&quot;,&quot;U_nam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7r7jp.html" rel="bookmark" class="title">二十五个超重量级域名被浪费</a>
					<div>
						1.网易 wangyi.com 网易 163.com 可以称得上是中国新闻的门户了,应该在中国的五大站中占有一席之地吧, 163.com,虽然短又好记,但觉得一个大门户网站总用数字域名有点不够大气的感 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
